Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] virtualbox-ose: make vboxservice depend on dbus
@ 2020-10-02  6:17 iceaway
  2020-10-02  7:00 ` ericonr
                   ` (6 more replies)
  0 siblings, 7 replies; 8+ messages in thread
From: iceaway @ 2020-10-02  6:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 475 bytes --]

There is a new pull request by iceaway against master on the void-packages repository

https://github.com/iceaway/void-packages vboxservice_dbus_deb
https://github.com/void-linux/void-packages/pull/25268

virtualbox-ose: make vboxservice depend on dbus
vboxservice will give an error message if dbus is not started.
We should check that dbus is running before starting the
service.

A patch file from https://github.com/void-linux/void-packages/pull/25268.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-vboxservice_dbus_deb-25268.patch --]
[-- Type: text/x-diff, Size: 775 bytes --]

From 4f1baf687278e806206b9e98b04b4e3e23b788fc Mon Sep 17 00:00:00 2001
From: Pelle Windestam <pelle.windestam@tagmaster.com>
Date: Fri, 2 Oct 2020 08:00:09 +0200
Subject: [PATCH] virtualbox-ose: make vboxservice depend on dbus

vboxservice will give an error message if dbus is not started.
We should check that dbus is running before starting the
service.
---
 srcpkgs/virtualbox-ose/files/vboxservice/run | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/virtualbox-ose/files/vboxservice/run b/srcpkgs/virtualbox-ose/files/vboxservice/run
index 6332cc9f13a..92311ba7ca1 100755
--- a/srcpkgs/virtualbox-ose/files/vboxservice/run
+++ b/srcpkgs/virtualbox-ose/files/vboxservice/run
@@ -1,2 +1,3 @@
 #!/bin/sh
+sv check dbus >/dev/null || exit 1
 exec VBoxService -f

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: virtualbox-ose: make vboxservice depend on dbus
  2020-10-02  6:17 [PR PATCH] virtualbox-ose: make vboxservice depend on dbus iceaway
@ 2020-10-02  7:00 ` ericonr
  2020-10-02  7:41 ` [PR PATCH] [Updated] " iceaway
                   ` (5 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: ericonr @ 2020-10-02  7:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 197 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/25268#issuecomment-702563263

Comment:
You need to revbump the package for this to take effect.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Updated] virtualbox-ose: make vboxservice depend on dbus
  2020-10-02  6:17 [PR PATCH] virtualbox-ose: make vboxservice depend on dbus iceaway
  2020-10-02  7:00 ` ericonr
@ 2020-10-02  7:41 ` iceaway
  2020-10-02  7:41 ` iceaway
                   ` (4 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: iceaway @ 2020-10-02  7:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 480 bytes --]

There is an updated pull request by iceaway against master on the void-packages repository

https://github.com/iceaway/void-packages vboxservice_dbus_deb
https://github.com/void-linux/void-packages/pull/25268

virtualbox-ose: make vboxservice depend on dbus
vboxservice will give an error message if dbus is not started.
We should check that dbus is running before starting the
service.

A patch file from https://github.com/void-linux/void-packages/pull/25268.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-vboxservice_dbus_deb-25268.patch --]
[-- Type: text/x-diff, Size: 1546 bytes --]

From 4f1baf687278e806206b9e98b04b4e3e23b788fc Mon Sep 17 00:00:00 2001
From: Pelle Windestam <pelle.windestam@tagmaster.com>
Date: Fri, 2 Oct 2020 08:00:09 +0200
Subject: [PATCH 1/2] virtualbox-ose: make vboxservice depend on dbus

vboxservice will give an error message if dbus is not started.
We should check that dbus is running before starting the
service.
---
 srcpkgs/virtualbox-ose/files/vboxservice/run | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/virtualbox-ose/files/vboxservice/run b/srcpkgs/virtualbox-ose/files/vboxservice/run
index 6332cc9f13a..92311ba7ca1 100755
--- a/srcpkgs/virtualbox-ose/files/vboxservice/run
+++ b/srcpkgs/virtualbox-ose/files/vboxservice/run
@@ -1,2 +1,3 @@
 #!/bin/sh
+sv check dbus >/dev/null || exit 1
 exec VBoxService -f

From ecaa319706faf35bd66bf294337b2d5dd0073d2b Mon Sep 17 00:00:00 2001
From: Pelle Windestam <pelle.windestam@tagmaster.com>
Date: Fri, 2 Oct 2020 09:26:01 +0200
Subject: [PATCH 2/2] virtualbox-ose: bump the revision

---
 srcpkgs/virtualbox-ose/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/virtualbox-ose/template b/srcpkgs/virtualbox-ose/template
index 8efb7c8bc37..7ff58ecd7cc 100644
--- a/srcpkgs/virtualbox-ose/template
+++ b/srcpkgs/virtualbox-ose/template
@@ -1,7 +1,7 @@
 # Template file for 'virtualbox-ose'
 pkgname=virtualbox-ose
 version=6.1.14
-revision=3
+revision=4
 wrksrc="VirtualBox-${version%*a}"
 short_desc="General-purpose full virtualizer for x86 hardware"
 maintainer="Orphaned <orphan@voidlinux.org>"

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: virtualbox-ose: make vboxservice depend on dbus
  2020-10-02  6:17 [PR PATCH] virtualbox-ose: make vboxservice depend on dbus iceaway
  2020-10-02  7:00 ` ericonr
  2020-10-02  7:41 ` [PR PATCH] [Updated] " iceaway
@ 2020-10-02  7:41 ` iceaway
  2020-10-02  7:41 ` iceaway
                   ` (3 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: iceaway @ 2020-10-02  7:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 237 bytes --]

New comment by iceaway on void-packages repository

https://github.com/void-linux/void-packages/pull/25268#issuecomment-702578783

Comment:
> You need to revbump the package for this to take effect.
Sorry, forgot about that. Fixed now!

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: virtualbox-ose: make vboxservice depend on dbus
  2020-10-02  6:17 [PR PATCH] virtualbox-ose: make vboxservice depend on dbus iceaway
                   ` (2 preceding siblings ...)
  2020-10-02  7:41 ` iceaway
@ 2020-10-02  7:41 ` iceaway
  2020-10-02  8:50 ` fosslinux
                   ` (2 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: iceaway @ 2020-10-02  7:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 239 bytes --]

New comment by iceaway on void-packages repository

https://github.com/void-linux/void-packages/pull/25268#issuecomment-702578783

Comment:
> You need to revbump the package for this to take effect.

Sorry, forgot about that. Fixed now!

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: virtualbox-ose: make vboxservice depend on dbus
  2020-10-02  6:17 [PR PATCH] virtualbox-ose: make vboxservice depend on dbus iceaway
                   ` (3 preceding siblings ...)
  2020-10-02  7:41 ` iceaway
@ 2020-10-02  8:50 ` fosslinux
  2020-10-02 10:44 ` iceaway
  2020-10-02 10:44 ` [PR PATCH] [Closed]: " iceaway
  6 siblings, 0 replies; 8+ messages in thread
From: fosslinux @ 2020-10-02  8:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 170 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/25268#issuecomment-702607747

Comment:
Please squash your commits.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: virtualbox-ose: make vboxservice depend on dbus
  2020-10-02  6:17 [PR PATCH] virtualbox-ose: make vboxservice depend on dbus iceaway
                   ` (4 preceding siblings ...)
  2020-10-02  8:50 ` fosslinux
@ 2020-10-02 10:44 ` iceaway
  2020-10-02 10:44 ` [PR PATCH] [Closed]: " iceaway
  6 siblings, 0 replies; 8+ messages in thread
From: iceaway @ 2020-10-02 10:44 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 266 bytes --]

New comment by iceaway on void-packages repository

https://github.com/void-linux/void-packages/pull/25268#issuecomment-702661140

Comment:
I'm no git wizard and I think I screwed up my branch, I'll close this and open a new pull request with a single clean commit.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Closed]: virtualbox-ose: make vboxservice depend on dbus
  2020-10-02  6:17 [PR PATCH] virtualbox-ose: make vboxservice depend on dbus iceaway
                   ` (5 preceding siblings ...)
  2020-10-02 10:44 ` iceaway
@ 2020-10-02 10:44 ` iceaway
  6 siblings, 0 replies; 8+ messages in thread
From: iceaway @ 2020-10-02 10:44 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 311 bytes --]

There's a closed pull request on the void-packages repository

virtualbox-ose: make vboxservice depend on dbus
https://github.com/void-linux/void-packages/pull/25268

Description:
vboxservice will give an error message if dbus is not started.
We should check that dbus is running before starting the
service.

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2020-10-02 10:44 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-10-02  6:17 [PR PATCH] virtualbox-ose: make vboxservice depend on dbus iceaway
2020-10-02  7:00 ` ericonr
2020-10-02  7:41 ` [PR PATCH] [Updated] " iceaway
2020-10-02  7:41 ` iceaway
2020-10-02  7:41 ` iceaway
2020-10-02  8:50 ` fosslinux
2020-10-02 10:44 ` iceaway
2020-10-02 10:44 ` [PR PATCH] [Closed]: " iceaway

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).